import '../lib/dartgl_sdl.dart';

void main() {
  print("SDL2 ${SDL_Init(SDL_INIT_VIDEO)}");  
  
  var w = SDL_CreateWindow("OpenGL", 100, 100, 600, 400, SDL_WINDOW_OPENGL|SDL_WINDOW_RESIZABLE);
  print("window ${w.pointer}");
  
  var exit = false;
  var event = new Event();
  event.window = new WindowEvent();
  event.motion = new MouseMotionEvent();
  
  while (!exit){
      
      while (SDL_PollEvent(event) != 0){
                
        if (event.type == SDL_QUIT) {
          print(event.type);
          exit = true;
        }
        
        if (event.type == SDL_WINDOWEVENT) {
          print("${event.type}");
          print("window ${event.window.windowID}");
        }
        
        if (event.type == SDL_MOUSEMOTION) {
          print("${event.type}");
          print("window ${event.motion.windowID}, x ${event.motion.x},"+ 
            " y ${event.motion.y}");
        }
      }     
      
    }
  
  SDL_DestroyWindow(w);
}